MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024555Open CASCADE[OCCT] OCCT:Visualizationpublic2014-01-22 15:432014-05-05 13:37
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0024555: Visualization - the same text is rendered with shift at second time
DescriptionThe glyphs are rendering at another position starting from second+ time.
The reason is that glyph load parameters differ between Font_FTFont::loadGlyph() and Font_FTFont::RenderGlyph().
Steps To Reproduce
pload VISUALIZATION
vinit View1
vclear
vaxo
vdrawtext "This program" 0 0 0 0 255 0 0 0 0 0 50 1 Arial
vdump a.png
vdrawtext "This program" 0 0 0 255 0 0 0 0 0 0 50 1 Arial
vdump b.png
TagsNo tags attached.
Test case numberbugs vis(004) bug24555
Attached Filespng file icon b_KO.png (5,012 bytes) 2014-01-22 15:44
png file icon b_OK.png (4,773 bytes) 2014-01-22 15:44

- Relationships

-  Notes
(0027602)
kgv (developer)
2014-01-22 15:52

Patch is ready for review in CR24555 branch.
(0027623)
apl (developer)
2014-01-23 10:25

Dear Bugmaster,

Please test the branch.
(0027701)
mkv (tester)
2014-01-30 12:20

Dear BugMaster,

Branch CR24555 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 6117d0c3aa14022fa5367cb667473e40bbe0ce40

Number of compiler warnings:

occt component :
Linux: 45 (45 on master)
Windows: 1 (1 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests/CR24555-master-occt/Debian60-64/bugs/vis/bug24555.html [^]
bugs vis(004) bug24555 - OK.

Testing on Linux:
Total MEMORY difference: 370847016 / 371357580
Total CPU difference: 45413.93000000016 / 44575.00000000038

Testing on Windows:
Total MEMORY difference: 403757872 / 403336648
Total CPU difference: 29503.03125 / 33658.03125

There are not differences in images found by testdiff.

- Related Changesets
occt: master 6788f423
Timestamp: 2014-01-30 10:19:28
Author: kgv
Committer: bugmaster
Details ] Diff ]
0024555: Visualization - the same text is rendered with shift at second time

Font_FTFont::loadGlyph() - use the same flags as RenderGlyph(), FT_LOAD_NO_HINTING has been missed.

Test cases for issue CR24555
mod - src/Font/Font_FTFont.cxx Diff ] File ]
mod - src/Font/Font_FTFont.hxx Diff ] File ]
add - tests/bugs/vis/bug24555 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-01-22 15:43 kgv New Issue
2014-01-22 15:43 kgv Assigned To => san
2014-01-22 15:44 kgv File Added: b_KO.png
2014-01-22 15:44 kgv File Added: b_OK.png
2014-01-22 15:45 kgv Assigned To san => kgv
2014-01-22 15:45 kgv Severity minor => trivial
2014-01-22 15:45 kgv Status new => assigned
2014-01-22 15:45 kgv Product Version 6.7.0 => 6.6.0
2014-01-22 15:52 kgv Note Added: 0027602
2014-01-22 15:52 kgv Assigned To kgv => apl
2014-01-22 15:52 kgv Status assigned => resolved
2014-01-23 10:25 apl Note Added: 0027623
2014-01-23 10:25 apl Assigned To apl => bugmaster
2014-01-23 10:25 apl Status resolved => reviewed
2014-01-24 14:48 mkv Assigned To bugmaster => mkv
2014-01-30 12:20 mkv Note Added: 0027701
2014-01-30 12:21 mkv Test case number => bugs vis(004) bug24555
2014-01-30 12:21 mkv Assigned To mkv => bugmaster
2014-01-30 12:21 mkv Status reviewed => tested
2014-02-03 10:15 bugmaster Changeset attached => occt master 6788f423
2014-02-03 10:15 bugmaster Status tested => verified
2014-02-03 10:15 bugmaster Resolution open => fixed
2014-05-05 13:34 aiv Status verified => closed
2014-05-05 13:37 aiv Fixed in Version => 6.7.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker